#pragma once

#include "WO.h"
#include "Vector.h"

namespace Aftr
{

   /**

   \author Chad Mourning

   */

class WOGrid : public WO
{
public:	
   static WOGrid* New( const std::vector<std::vector<VectorD> >& grid, const VectorD& scale = VectorD(1,1,1), const std::vector< std::vector< aftrColor4ub > >& colors = std::vector< std::vector< aftrColor4ub > >() );	
	virtual ~WOGrid();
protected:
   virtual void onCreate( const std::vector<std::vector<VectorD> >& grid, const VectorD& scale, const std::vector< std::vector< aftrColor4ub > >& colors);
   WOGrid();		
};

}

